//
//  ThirdPersonInformationViewController.m
//  Open
//
//  Created by 看看智能 on 2018/1/10.
//  Copyright © 2018年 黄江涛 . All rights reserved.
//

#import "ThirdPersonInformationViewController.h"

@interface ThirdPersonInformationViewController ()<UITextFieldDelegate,UIScrollViewDelegate>


@property(nonatomic,strong)UIButton *chooseKKButton;
@property(nonatomic,strong)UIButton *certKKButton;


//单选
@property(nonatomic,strong)addressGatherModel *addressModel;

//读取数据库里面的数据
@property(nonatomic,strong)NSMutableArray *dataArr;
@property(nonatomic,strong)NSMutableArray *workTypeArray;



@end



@implementation ThirdPersonInformationViewController
#pragma mark - 初始化
//单选初始化
-(addressGatherModel *)addressModel
{
    if(!_addressModel){
        _addressModel =[[addressGatherModel alloc]initWithViewController:self];
    }
    return _addressModel;
    
}
//所有选择数据
-(NSMutableArray *)dataArr
{
    if (!_dataArr) {
        _dataArr =[NSMutableArray array];
        NSArray *result = [CWSqliteModelTool queryAllModels:[PersonJob class]];
        if (result.count > 0) {
            _dataArr = [NSMutableArray arrayWithArray:result];
        }
        
    }
    return _dataArr;
}
-(NSMutableArray *)workTypeArray
{
    if (!_workTypeArray) {
        _workTypeArray =[NSMutableArray array];
        NSArray *result = [CWSqliteModelTool queryAllModels:[workTypeSelectionNSObject class]];
        if (result.count > 0) {
            _workTypeArray = [NSMutableArray arrayWithArray:result];
        }
        
    }
    return _workTypeArray;
}



+ (ThirdPersonInformationViewController *)sharedInstance{
    static ThirdPersonInformationViewController *p = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        UIStoryboard *sb  =[UIStoryboard storyboardWithName:@"Main" bundle:nil];
        p=[sb instantiateViewControllerWithIdentifier:@"ThirdPersonInformationViewController"];
    });
    return p;
}
#pragma mark - View
-(void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:YES];

    //调用接口最后写
//    self.workModel_jiuye.selected =YES;

}
- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
    
    // 关闭键盘补偿视图
    [self.view closeKeyboardOffsetView];
}


- (void)viewDidLoad {
    [super viewDidLoad];
     self.employeeScroll.bounces = NO;
    if (@available(iOS 11.0, *)) {
        self.employeeScroll.contentInsetAdjustmentBehavior = UIScrollViewContentInsetAdjustmentNever;
        self.employeeScroll.contentInset = UIEdgeInsetsMake(64, 0, 49, 0);
        self.employeeScroll.scrollIndicatorInsets = self.employeeScroll.contentInset;
    }
    //键盘弹起
    [self.view openKeyboardOffsetView];
    self.view.keyboardGap =20;
    //设置高度
    self.employeeScroll.bounces = NO;
    //设置键盘为数字
    self.laborCount.keyboardType = UIKeyboardTypeNumberPad;
     self.companyTel.keyboardType = UIKeyboardTypeNumberPad;
     self.income.keyboardType = UIKeyboardTypeNumberPad;
     SVProgressHUD.minimumDismissTimeInterval =1.0;
    
    //设置所有为空
    [self makeAllZERO:1];
    
    self.title =@"就业信息采集";
    //设置空白和代理

    //点击事件
    UITapGestureRecognizer *get =[[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(asdasd)];
    [self.employeeHeightView addGestureRecognizer:get];
    
    

    //设置按钮点击事件
    [self chooseWorkKKButt];
    [self certKKlButt];
    [self certKKCityJob];
    self.chooseWorkKK  = 10;
       self.certKK = 1;
       self.employeeChannel_ = 1;
    //从事工种
      self.workType_ = 1;
    //行业领域
     self.industryField_ = 1068;
   self.flexType_ = 1;
    self.cityjob = 1;


}

#pragma mark - buttom
-(void)agsfhsdfg:(UIView *)asd and:(NSLayoutConstraint *)asfegtdsg And:(NSInteger)yes_1_hideen;
{
    if (yes_1_hideen == 1) {
        asd.hidden =YES;
        asfegtdsg.constant =0;
    }else{
        
        asd.hidden =NO;
        asfegtdsg.constant = 67;
    }
    
}


-(void)chooseWorkKKButt{

    NSArray *arr = @[self.workModel_jiuye,self.workModel_chuangye,self.workModel_Job];
    [self  buttonUse:arr andID:13007];
    __weak __typeof(self)weakSelf = self;
    self.buttonS = ^(CLMarkButton *buttonName) {
        weakSelf.chooseKKButton = buttonName;
        if (weakSelf.chooseKKButton == weakSelf.workModel_jiuye) {
           
            dispatch_async(dispatch_get_main_queue(), ^{
                 weakSelf.chooseWorkKK = 10;
                 [weakSelf makeAllZERO:2];
                [weakSelf ALLPlaceHolderNULL];
                //周一在用安卓手机看一下
                [weakSelf makeAllButtUserInfoNo:weakSelf.flexType andInt:2];
                [weakSelf makeAllButtUserInfoNo:weakSelf.laborCount andInt:2];
                [weakSelf makeAllButtUserInfoNo:weakSelf.rgstTime andInt:2];
                
                weakSelf.firstChooseHeight.constant =15;//15
                //2
                weakSelf.socondChooseHeight.constant=15;//97
                //3
                weakSelf.thirdChooseHeight.constant = 15;//179
                //4
                weakSelf.fourChooseHeight.constant = 97;//343
            
            
                weakSelf.nameProjectHide.hidden =NO;
                weakSelf.flexTypeHide.hidden =NO;
                weakSelf.companyHide.hidden =YES;
                weakSelf.majorNumberHide.hidden =YES;
                weakSelf.gongshangHide.hidden =YES;
                
 });
            
        }else if(weakSelf.chooseKKButton == weakSelf.workModel_chuangye){
            
            dispatch_async(dispatch_get_main_queue(), ^{
                [weakSelf makeAllZERO:2];
                [weakSelf ALLPlaceHolderNULL];
                weakSelf. chooseWorkKK =21;
                [weakSelf makeAllButtUserInfoNo:weakSelf.companyTel andInt:2];
                [weakSelf makeAllButtUserInfoNo:weakSelf.flexType andInt:2];
                
                weakSelf.firstChooseHeight.constant =15;//15
                //2
                weakSelf.socondChooseHeight.constant=97;//97
                //3
                weakSelf.thirdChooseHeight.constant = 179;//179
                //4
                weakSelf.fourChooseHeight.constant = 179;//343
                
                weakSelf.nameProjectHide.hidden =NO;
                weakSelf.majorNumberHide.hidden =NO;
                weakSelf.gongshangHide.hidden =NO;
                
            weakSelf.flexTypeHide.hidden =YES;
          weakSelf.companyHide.hidden =YES;
 });
            

        }else{
            [weakSelf makeAllZERO:2];
            [weakSelf ALLPlaceHolderNULL];
            weakSelf.chooseWorkKK =22;
            [weakSelf makeAllButtUserInfoNo:weakSelf.laborCount andInt:2];
            [weakSelf makeAllButtUserInfoNo:weakSelf.companyProjectName andInt:2];
            [weakSelf makeAllButtUserInfoNo:weakSelf.companyTel andInt:2];
            [weakSelf makeAllButtUserInfoNo:weakSelf.rgstTime andInt:2];
            weakSelf.firstChooseHeight.constant =15;//15
            //2
            weakSelf.socondChooseHeight.constant=15;//97
            //3
            weakSelf.thirdChooseHeight.constant = 15;//179
            //4
            weakSelf.fourChooseHeight.constant = 15;//343
            weakSelf.nameProjectHide.hidden =YES;
             weakSelf.flexTypeHide.hidden =YES;
            weakSelf.majorNumberHide.hidden =YES;
            weakSelf.gongshangHide.hidden =YES;
            
            weakSelf.companyHide.hidden =NO;
           
        }
        
    };
    
}
-(void)certKKlButt{

    NSArray *arr = @[self.isTrainYes,self.isTrainNo];
    [self  buttonUse:arr andID:14007];
    __weak __typeof(self)weakSelf = self;
    self.buttonA  = ^(CLMarkButton *buttonName_A) {
        weakSelf.certKKButton = buttonName_A;
        if (weakSelf.certKKButton == weakSelf.isTrainYes) {
            weakSelf.certKK = 2;
        }else{
           weakSelf.certKK =1;
        }
    };
    
    


}
-(void)certKKCityJob{
    
    NSArray *arr = @[self.isCityJobYES,self.isCityJobNO];
    [self  buttonUse:arr andID:149346357];
    __weak __typeof(self)weakSelf = self;
    self.buttonB = ^(CLMarkButton *buttonName_B) {
        if (buttonName_B == weakSelf.isCityJobYES) {
            weakSelf.cityjob = 1;
        }else{
            weakSelf.cityjob =2;
        }
    };
}

- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView
{
    return self.employeeHeightView;
}
//scrollDelegate
- (void)updateViewConstraints {
    [super updateViewConstraints];
 self.scroll_width.constant =1134;
    
}


//-(void)viewDidLayoutSubviews{
//    [super viewDidLayoutSubviews];
//     self.scroll_width.constant =900;
//    
//}

-(void)makeAllZERO:(NSInteger)type
{
    if (type ==1 ) {
        [self allDelegateAndAllZero:_companyName];
        [self allDelegateAndAllZero:_companyTel];
        [self allDelegateAndAllZero:_companyProjectName];
        [self allDelegateAndAllZero:_laborCount];
        [self allDelegateAndAllZero:_rgstTime];
        [self allDelegateAndAllZero:_flexType];
        [self allDelegateAndAllZero:_employeeTime];
        [self allDelegateAndAllZero:_employeeChannel];
        [self allDelegateAndAllZero:_income];
        [self allDelegateAndAllZero:_location];
        [self allDelegateAndAllZero:_workType];
        [self allDelegateAndAllZero:_industryField];
    }else{
        [self makeAllButtUserInfoNo:_companyName andInt:1];
          [self makeAllButtUserInfoNo:_companyTel andInt:1];
          [self makeAllButtUserInfoNo:_companyProjectName andInt:1];
          [self makeAllButtUserInfoNo:_laborCount andInt:1];
          [self makeAllButtUserInfoNo:_rgstTime andInt:1];
          [self makeAllButtUserInfoNo:_flexType andInt:1];
          [self makeAllButtUserInfoNo:_employeeTime andInt:1];
          [self makeAllButtUserInfoNo:_employeeChannel andInt:1];
          [self makeAllButtUserInfoNo:_income andInt:1];
          [self makeAllButtUserInfoNo:_location andInt:1];
          [self makeAllButtUserInfoNo:_workType andInt:1];
          [self makeAllButtUserInfoNo:_industryField andInt:1];
    }
    
}


-(void)ALLPlaceHolderNULL
{
    [self companyName].placeholder =@"必选";
    [self  companyTel].placeholder =@"必选";
    [self companyProjectName].placeholder =@"必选";
    [self laborCount].placeholder =@"必选";
    [self rgstTime].placeholder =@"必选";
    [self flexType].placeholder =@"必选";
    [self employeeTime].placeholder =@"必选";
    [self employeeChannel].placeholder =@"必选";
    [self income].placeholder =@"必选";
    [self location].placeholder =@"必选";
    [self workType].placeholder =@"必选";
    [self industryField].placeholder =@"必选";
    
    [self companyName].text =@"";
    [self  companyTel].text =@"";
    [self companyProjectName].text =@"";
    [self laborCount].text =@"";
    [self rgstTime].text =@"";
    [self flexType].text =@"";
    [self employeeTime].text =@"";
    [self employeeChannel].text =@"";
    [self income].text =@"";
    [self location].text =@"";
    [self workType].text =@"";
    [self industryField].text =@"";
    
}



-(void)allDelegateAndAllZero:(UITextField*)textField{
    textField.text =nil;
    //几口请求
    textField.delegate =self;
    textField.placeholder= @"必填";
    textField.textColor =[UIColor blackColor];
    
     [self textFieldAddTwoBlackPlaceinTextFiled:textField];
    [self makeAllButtUserInfoNo:self.flexType andInt:2];
    [self makeAllButtUserInfoNo:self.laborCount andInt:2];
    [self makeAllButtUserInfoNo:self.rgstTime andInt:2];
    
    //

    //第一种
    //15
    //15
    //15
    //97
    self.firstChooseHeight.constant =15;//15
    //2
   self.socondChooseHeight.constant=15;//97
    //3
    self.thirdChooseHeight.constant = 15;//179
    //4
    self.fourChooseHeight.constant = 97;//343
    self.nameProjectHide.hidden =NO;
    self.flexTypeHide.hidden =NO;
   
     self.companyHide.hidden =YES;
    self.majorNumberHide.hidden =YES;
    self.gongshangHide.hidden =YES;
    
    //第二种
    //15
    //15
    //15
    //179
    
    //第三种
    //15
    //15
    //15
    //15

    
    
}
-(void)makeAllButtUserInfoNo:(UITextField *)textfField andInt:(NSInteger)type{
    if (type == 1) {
        textfField.userInteractionEnabled = YES;
    }else{
        textfField.userInteractionEnabled = NO;
        textfField.placeholder =@"非必填";
    }
}



#pragma mark - 收起按钮
-(void)asdasd{
    [self.view endEditing:YES];
      [SVProgressHUD dismiss];
}
-(BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [self.view endEditing:YES];
    return YES;
}
-(BOOL)textFieldShouldBeginEditing:(UITextField*)textField{

    if (textField ==  self.employeeTime ||
        textField ==  self.employeeChannel ||
        textField ==  self.workType ||
        textField ==  self.industryField ||
        textField ==  self.flexType ||
        textField == self.rgstTime
        ){
        [self NotUseButton:textField];
        [textField resignFirstResponder];
    
        return NO;
    }else{
        return YES;
    }
    
}



#pragma mark - 所有不能手输的按钮
- (void)NotUseButton:(UITextField *)sender {
    [self.view endEditing:YES];
    if (sender  == self.employeeTime) {
        
        __weak typeof(self) wself = self;
        [LYLDatePicker showDateDetermineChooseInView:self.view determineChoose:^(NSString *dateString) {
            dispatch_async(dispatch_get_main_queue(), ^{
                wself.employeeTime.text = dateString;
            });
        }];
        
    }else if(sender == self.employeeChannel){

        __weak typeof(self) wself = self;
        if (self.dataArr.count >0) {
            for (PersonJob *model in self.dataArr) {
                if ([model.nameJob isEqualToString:@"employeechannel"]) {
                    [self.addressModel onlySelect:model.politicalStatus  Handle:^(NSString *str1, NSString *str2, NSError *error) {
                        if (str2) {
                            dispatch_async(dispatch_get_main_queue(), ^{
                                wself.employeeChannel_ =  [JobUtil chooseEmployeeFamilyRelation:[model.politicalStatus copy] andSelectedString:str1];
                                if (str1) {
                                       wself.employeeChannel.text = str1;
                                }
                            });
                        }
                    }];
                }
            }
        }
        
    }else if(sender == self.workType){
        __weak typeof(self) wself = self;
        if (self.dataArr.count >0) {
            //开始比对
              if (self.workTypeArray.count >0) {
              for (workTypeSelectionNSObject *model in self.workTypeArray) {
                  if ([model.nameJob isEqualToString:@"type_work"]) {
                      [self.addressModel onlySelect:model.politicalStatus  Handle:^(NSString *str1, NSString *str2, NSError *error) {
                          if (str2) {
                              dispatch_async(dispatch_get_main_queue(), ^{
                                  //看一下 name和province 和strg有没有值周一看一下
                                  if (str1) {
                                      [wself downTownLogic_2:str1 andStringProvince:str1];
                                  }
                              });
                           }
                      }];
                  }
              }
           }
//            for (PersonJob *model in self.dataArr) {
//                if ([model.nameJob isEqualToString:@"workertype"]) {
//                    [self.addressModel onlySelect:model.politicalStatus  Handle:^(NSString *str1, NSString *str2, NSError *error) {
//
//                        if (str2) {
//                            dispatch_async(dispatch_get_main_queue(), ^{
//                                wself.workType_=  [JobUtil chooseEmployeeFamilyRelation:[model.politicalStatus copy] andSelectedString:str1];
//                                if (str1) {
//                                    wself.workType.text = str1;
//
//                                }
//                            });
//                        }
//                    }];
//                }
//            }
        }
 
    }else if(sender == self.industryField){
        
        
        __weak typeof(self) wself = self;
        if (self.dataArr.count >0) {
            for (PersonJob *model in self.dataArr) {
                if ([model.nameJob isEqualToString:@"industry"]) {
                    [self.addressModel onlySelect:model.politicalStatus  Handle:^(NSString *str1, NSString *str2, NSError *error) {
                        
                        
                        if (str2) {
                            dispatch_async(dispatch_get_main_queue(), ^{
                                wself.industryField_ =  [JobUtil chooseEmployeeFamilyRelation:[model.politicalStatus copy] andSelectedString:str1];//这里要测试一下
                                NSString *strg;
                                if (wself.industryField_ <100) {
                                    strg =[NSString stringWithFormat:@"%ld",(long)wself.industryField_];
                                }else{
                                    strg =[NSString stringWithFormat:@"%ld",(long)wself.industryField_];
                                }
                                
                                //看一下 name和province 和strg有没有值周一看一下
                                if (strg) {
                                    [wself downTownLogic:strg andStringProvince:str1];
                             
                                }
                            });
                        }
                        
                        
                        
                        
                        
                        
                     
                    }];
                }
            }
        }
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        

      
    }else if(sender == self.flexType){
//        __weak typeof(self) wself = self;
//        self.actionToReturnStirng = ^int(int name, NSString *province) {
//            dispatch_async(dispatch_get_main_queue(), ^{
//                wself.flexType_ = name;
//                wself.flexType.text = province;
//            });
//            return 1;
//        };
//        NSString *str11  =[self danxuan:@"" and:(short)self.employeeChannel_ andshowString:self.flexType](@"123123");
//               
        
        __weak typeof(self) wself = self;
        if (self.dataArr.count >0) {
            for (PersonJob *model in self.dataArr) {
                if ([model.nameJob isEqualToString:@"flexType"]) {
                    [self.addressModel onlySelect:model.politicalStatus  Handle:^(NSString *str1, NSString *str2, NSError *error) {
                        if (str2) {
                            dispatch_async(dispatch_get_main_queue(), ^{
                               wself.flexType_=  [JobUtil chooseEmployeeFamilyRelation:[model.politicalStatus copy] andSelectedString:str1];
                                if (str1) {
                                    wself.flexType.text = str1;
                                    
                                }
                            });
                        }
                    }];
                }
            }
        }
        
        
        
        
        
        
        
        
    }else if(sender == self.rgstTime){
        __weak typeof(self) wself = self;
        [LYLDatePicker showDateDetermineChooseInView:self.view determineChoose:^(NSString *dateString) {
            dispatch_async(dispatch_get_main_queue(), ^{
                wself.rgstTime.text = dateString;
            });
        }];
        
    }

}
-(NSString*(^)(NSString*))danxuan:(NSString*)names and:( int)ints andshowString:(UITextField *)textFields
{
    
    __weak typeof(self) wself = self;
    if (self.dataArr.count >0) {
        for (PersonJob *model in self.dataArr) {
            if ([model.nameJob isEqualToString:names]) {
                return      [self.addressModel onlySelect_2:model.politicalStatus Handle:^(NSString *str1, NSString *str2, NSError *error) {
                    int ing =    (int)[JobUtil chooseEmployeeFamilyRelation:[model.politicalStatus copy] andSelectedString:str1];
                    
                    if (wself.actionToReturnStirng) {
                        wself.actionToReturnStirng(ing,str1);
                        
                    }
                }];
                
            }
        }
    }
    return  nil;
}




-(void)downTownLogic_2:(NSString*)canshu andStringProvince:(NSString*)str{
    if (!canshu ) {
        return;    }
    __weak typeof(self) wself = self;
    __block NSString *blockCanshu  = canshu;
                    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(0.2 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
    if (self.workTypeArray.count >0) {
        for (workTypeSelectionNSObject *model in self.workTypeArray) {
            if ([model.nameJob isEqualToString:canshu]) {
                [self.addressModel onlySelect:model.politicalStatus  Handle:^(NSString *str1, NSString *str2, NSError *error) {
                    
                   
                            //看一下 name和province 和strg有没有值周一看一下
                            if (self.dataArr.count > 0) {
                                for (PersonJob *model in self.dataArr) {
                                    if ([model.nameJob isEqualToString:@"workertype"]) {
                                 
                                            if (str1) {
                                                dispatch_async(dispatch_get_main_queue(), ^{
                                                    wself.workType_=  [JobUtil chooseEmployeeFamilyRelation:[model.politicalStatus copy] andSelectedString:str1];
                                                    if (str1)
                                                     
                                                        wself.workType.text =  [NSString stringWithFormat:@"%@,%@",blockCanshu,str1];
                                                });
                                            }
                                        
                                    }
                                }
                            }
                }];

            }
        }

}
                    });
}


//双次选择
-(void)downTownLogic:(NSString*)canshu andStringProvince:(NSString*)str{
    __weak typeof(self) wself = self;
    if (!canshu ) {
        return;    }
    NSLog(@"%ld",(long)canshu);
    [self.addressModel getBigCode:canshu Handle:^(NSString *str1, NSString *str2, NSError *error) {
        dispatch_async(dispatch_get_main_queue(), ^{
           
            NSString * str111 =[NSString stringWithFormat:@"%@",str1];
             wself.industryField.text = str111;
            JobUtil *jon =[[JobUtil alloc]init];
            if ([jon isNumberYes:str2] == YES) {
                wself.industryField_ = [str2 integerValue];
            }else
            {
                wself.industryField_ = 1068;
            }
            
            
        });
    }];
    
}

- (IBAction)nextPage:(id)sender {
    if ([self.industryField.text isEqualToString:@""]) {
        [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
        return ;
    }
    if ([self.workType.text isEqualToString:@""]) {
        [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
        return ;
    }
    if ([self.location.text isEqualToString:@""]) {
        [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
        return ;
    }
    if ([self.income.text isEqualToString:@""]) {
        [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
        return ;
    }
    if ([self.employeeChannel.text isEqualToString:@""]) {
        [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
        return ;
    }
    if ([self.employeeTime.text isEqualToString:@""]) {
        [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
        return ;
    }
    if (self.chooseWorkKK == 10 ) {
        if ([self.companyProjectName.text isEqualToString:@""]) {
            [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
            return ;
        } if ([self.companyTel.text isEqualToString:@""]) {
        
            [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
            return ;
        }
        if (self.companyTel.text.length  <2) {
            [SVProgressHUD showErrorWithStatus:@"不是电话号码"];
            return;
        }
    }else if (self.chooseWorkKK == 21){
                if ([self.companyProjectName.text isEqualToString:@""]) {
                    [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
                    return ;
                }
                if ([self.laborCount.text isEqualToString:@""]) {
                    [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
                    return ;
                }
                if ([self.rgstTime.text isEqualToString:@""]) {
                    [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
                    return ;
                }
                
    }else{
        if ([self.flexType.text isEqualToString:@""]) {
            [SVProgressHUD showErrorWithStatus:@"信息没有填写完整"];
            return ;
        }
    }
    //这里替换成需求信息
    
//    FourthlyViewController *secondVC =   [FourthlyViewController sharedInstance];
//    if(![self.navigationController.topViewController isKindOfClass:[secondVC class]]) {
//        
//        [self.navigationController pushViewController:secondVC animated:YES];
//    }
    
    
    FirthlyViewController*secondVC =   [FirthlyViewController sharedInstance];
    secondVC.chooseThreeDifferent =@"就业新增";
    if(![self.navigationController.topViewController isKindOfClass:[secondVC class]]) {
        
        [self.navigationController pushViewController:secondVC animated:YES];
    }
    
    

//    UIStoryboard *sb  =[UIStoryboard storyboardWithName:@"Main" bundle:nil];
//    signatureNameViewController *name =[sb instantiateViewControllerWithIdentifier:@"signatureNameViewController"];
//    name.selfSignation =@"本人签字";
//    if(![self.navigationController.topViewController isKindOfClass:[name class]]) {
//        [self.navigationController  pushViewController:name animated:YES];
//    }
}
     
     
@end
